Summary: A perl cgi/pdfTeX script for doc generation
Name: minimun
Version: 1.2
Release: 1
License: GPL, Unknown
Source: https://hrhr.dev/src/minimun.tar.gz
URL: https://git.hrhr.dev/minimun/about
Distribution: Fedora 32
Vendor: Holden Rohrer
Packager: Holden Rohrer <hr@hrhr.dev>
BuildArch: noarch
Requires: perl
Requires: texlive-pdftex
Requires: texlive-amsfonts
Requires: texlive-metafont
Requires: texlive-mfware
Requires: texlive-updmap-map
Requires(pre): shadow-utils
BuildRequires: make

%description
This script builds award documents and room name sheets, for letter-size
paper. The code is under GPLv3, but the logo's license is unknown.

%global debug_package %{nil}

%pre
getent group minimun >/dev/null || groupadd -r minimun
getent passwd minimun >/dev/null || useradd -r -s /sbin/nologin\
    -g minimun -c "miniMUN cgi account" -d /usr/lib/minimun -M minimun

%prep
%setup

%build
make DESTDIR=/usr/lib/minimun SYSWEBROOT=/var/www/html

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT/usr/lib/minimun \
SYSWEBROOT=$RPM_BUILD_ROOT/var/www/html

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README
%defattr(644, minimun, minimun, 755)
/usr/lib/minimun
%attr(755, minimun, minimun) /usr/lib/minimun/minimun
/var/www/html/minimun/index.html
